#include <bits/stdc++.h>
#include "guess.h"
using namespace std;
int find_number(int max) {
	int l = 2, r = max, ans = 1;
	while (l <= r) {
		int mid = (l + r) / 2;
		if (!smaller(mid)) {
			ans = mid;
			l = mid + 1;
		}
		else r = mid - 1;
	}
	return ans;
}
/*
int main() {
	int x = find_sum(10, 32);
	cout << x << "\n";
}
*/